## org.eclipse.datatools.sqltools.sqleditor.internal.actions
Class DeleteAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.sqltools.sqleditor.internal.actions.SelectionDispatchAction
                      org.eclipse.datatools.sqltools.sqleditor.internal.actions.DeleteAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelectionChangedListener

    public class DeleteAction

extends SelectionDispatchAction

Author:
  Hui Cao

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`DeleteAction(org.eclipse.ui.IWorkbenchSite site)`

Method Summary
`static void` `removeNode(Node node)`
`void` `run(org.eclipse.jface.viewers.IStructuredSelection selection)` Executes this actions with the given structured selection.
`void` `selectionChanged(org.eclipse.jface.viewers.IStructuredSelection selection)` Notifies this action that the given structured selection has changed.

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.internal.actions.SelectionDispatchAction
`getSelection, getSelectionProvider, getShell, getSite, run, run, run, selectionChanged, selectionChanged, selectionChanged, update`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### DeleteAction

    public DeleteAction(org.eclipse.ui.IWorkbenchSite site)

Method Detail

### selectionChanged

    public void selectionChanged(org.eclipse.jface.viewers.IStructuredSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Notifies this action that the given structured selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

  Overrides:
    `selectionChanged` in class `SelectionDispatchAction`
  Parameters:
    `selection` - the new selection

### removeNode

    public static void removeNode(Node node)

### run

    public void run(org.eclipse.jface.viewers.IStructuredSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Executes this actions with the given structured selection. This default implementation calls `run(ISelection selection)`.

  Overrides:
    `run` in class `SelectionDispatchAction`